Skip to main content
PATCH
Update an issued invoice

Path Parameters

id
string
required

Issued invoice ID

Example:

"12"

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
invoiceNumber
string
Maximum string length: 100
customer
object
seller
object
issueDate
string

Calendar day yyyy-MM-dd (UTC); "" = unset. An invalid day 400s.

Maximum string length: 10
dueDate
string

Calendar day yyyy-MM-dd (UTC); "" = unset. An invalid day 400s.

Maximum string length: 10
currency
string
Required string length: 1 - 10
vatInclusive
boolean
discount
object | null

Whole-invoice discount applied before VAT, pro-rata across VAT groups. Null = none.

status
enum<string>
Available options:
draft,
sent,
paid,
cancelled
accentId
string
Maximum string length: 20
lines
object[]

Replaces ALL lines when provided.

Required array length: 1 - 200 elements
notes
string
Maximum string length: 4000
logoDataUrl
string | null
Maximum string length: 400000

Response

Invoice saved

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on November 13, 2026